Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 2636)
@@ -22,5 +22,4 @@
    USE oce             ! ocean dynamics and tracers
    USE dom_oce         ! ocean space and time domain
-   USE lib_mpp         ! MPP library
    USE par_ice         ! sea-ice parameters
    USE ice             ! LIM-3: ice variables
@@ -50,4 +49,5 @@
    USE c1d             ! 1D vertical configuration
    USE lbclnk          ! lateral boundary condition - MPP link
+   USE lib_mpp         ! MPP library
    USE iom             ! I/O manager library
    USE in_out_manager  ! I/O manager
@@ -101,5 +101,5 @@
 
       IF( wrk_in_use(3, 1,2) ) THEN
-         CALL ctl_stop( 'sbc_ice_lim: requested workspace arrays are unavailable.' )   ;   RETURN
+         CALL ctl_stop( 'sbc_ice_lim: requested workspace arrays are unavailable' )   ;   RETURN
       ENDIF
 
@@ -252,5 +252,5 @@
 !!gm   remark, the ocean-ice stress is not saved in ice diag call above .....  find a solution!!!
       !
-      IF( wrk_not_released(3, 1,2) )   CALL ctl_stop( 'sbc_ice_lim: failed to release workspace arrays.' )
+      IF( wrk_not_released(3, 1,2) )   CALL ctl_stop( 'sbc_ice_lim: failed to release workspace arrays' )
       !
    END SUBROUTINE sbc_ice_lim
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 2636)
@@ -38,6 +38,6 @@
    USE sbcfwb           ! surface boundary condition: freshwater budget
    USE closea           ! closed sea
-   USE bdy_par         ! unstructured open boundary data variables
-   USE bdyice          ! unstructured open boundary data  (bdy_ice_frs routine)
+   USE bdy_par          ! unstructured open boundary data variables
+   USE bdyice           ! unstructured open boundary data  (bdy_ice_frs routine)
 
    USE prtctl           ! Print control                    (prt_ctl routine)
@@ -45,4 +45,5 @@
    USE iom              ! IOM library
    USE in_out_manager   ! I/O manager
+   USE lib_mpp          ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SBC/sbcrnf.F90	(revision 2636)
@@ -19,9 +19,10 @@
    USE phycst          ! physical constants
    USE sbc_oce         ! surface boundary condition variables
+   USE closea          ! closed seas
    USE fldread         ! read input field at current time step
+   USE restart         ! restart
    USE in_out_manager  ! I/O manager
    USE iom             ! I/O module
-   USE restart         ! restart
-   USE closea          ! closed seas
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SOL/solpcg.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SOL/solpcg.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SOL/solpcg.F90	(revision 2636)
@@ -26,5 +26,5 @@
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$ 
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
 CONTAINS
@@ -83,26 +83,24 @@
       !!        !  08-01  (R. Benshila) mpp optimization
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
-      USE wrk_nemo, ONLY: zgcr => wrk_2d_1
-      !!
-      INTEGER, INTENT( inout ) ::   kindic   ! solver indicator, < 0 if the conver-
-      !                                      ! gence is not reached: the model is
-      !                                      ! stopped in step
-      !                                      ! set to zero before the call of solpcg
-      !!
-      INTEGER ::   ji, jj, jn                ! dummy loop indices
-      REAL(wp) ::  zgcad                     ! temporary scalars
-      REAL(wp), DIMENSION(2) :: zsum
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
+      USE wrk_nemo, ONLY:   zgcr => wrk_2d_1
+      !!
+      INTEGER, INTENT(inout) ::   kindic   ! solver indicator, < 0 if the conver-
+      !                                    ! gence is not reached: the model is stopped in step
+      !                                    ! set to zero before the call of solpcg
+      !!
+      INTEGER  ::   ji, jj, jn   ! dummy loop indices
+      REAL(wp) ::   zgcad        ! temporary scalars
+      REAL(wp), DIMENSION(2) ::   zsum
       !!----------------------------------------------------------------------
       
       IF( wrk_in_use(2, 1) )THEN
-         CALL ctl_stop('sol_pcg: requested workspace array is unavailable')
-         RETURN
-      END IF
+         CALL ctl_stop('sol_pcg: requested workspace array is unavailable')   ;   RETURN
+      ENDIF
 
       ! Initialization of the algorithm with standard PCG
       ! -------------------------------------------------
-      zgcr = 0.e0 
-      gcr  = 0.e0 
+      zgcr = 0._wp
+      gcr  = 0._wp
 
       CALL lbc_lnk( gcx, c_solver_pt, 1. )   ! lateral boundary condition
@@ -207,17 +205,9 @@
       END DO                                           !    End Loop
       !                                                !================
-     
 999   CONTINUE
-     
-     
-      ! Output in gcx with lateral b.c. applied
-      ! ---------------------------------------
-     
-      CALL lbc_lnk( gcx, c_solver_pt, 1. )
-     
+          
+      CALL lbc_lnk( gcx, c_solver_pt, 1. )      ! Output in gcx with lateral b.c. applied
       ! 
-      IF( wrk_not_released(2, 1) )THEN
-         CALL ctl_stop('sol_pcg: failed to release workspace array')
-      END IF
+      IF( wrk_not_released(2, 1) )   CALL ctl_stop('sol_pcg: failed to release workspace array')
       !
    END SUBROUTINE sol_pcg
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SOL/solsor.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SOL/solsor.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SOL/solsor.F90	(revision 2636)
@@ -32,7 +32,6 @@
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$ 
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
       
@@ -58,20 +57,18 @@
       !!                Beare and Stevens 1997 Ann. Geophysicae 15, 1369-1377
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
-      USE wrk_nemo, ONLY: ztab => wrk_2d_1
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
+      USE wrk_nemo, ONLY:   ztab => wrk_2d_1    ! 2D workspace
       !!
       INTEGER, INTENT(inout) ::   kindic   ! solver indicator, < 0 if the convergence is not reached:
       !                                    ! the model is stopped in step (set to zero before the call of solsor)
       !!
-      INTEGER  ::   ji, jj, jn               ! dummy loop indices
-      INTEGER  ::   ishift, icount
-      INTEGER  ::   ijmppodd, ijmppeven, ijpr2d
-      REAL(wp) ::   ztmp, zres, zres2
+      INTEGER  ::   ji, jj, jn       ! dummy loop indices
+      INTEGER  ::   ishift, icount, ijmppodd, ijmppeven, ijpr2d   ! local integers
+      REAL(wp) ::   ztmp, zres, zres2                             ! local scalars
       !!----------------------------------------------------------------------
       
       IF( wrk_in_use(2, 1) )THEN
-         CALL ctl_stop('sol_sor: requested workspace array is unavailable')
-         RETURN
-      END IF
+         CALL ctl_stop('sol_sor: requested workspace array is unavailable')   ;   RETURN
+      ENDIF
 
       ijmppeven = MOD( nimpp+njmpp+jpr2di+jpr2dj   , 2 )
@@ -171,7 +168,5 @@
       CALL lbc_lnk_e( gcx, c_solver_pt, 1. )    ! boundary conditions
       ! 
-      IF( wrk_not_released(2, 1) )THEN
-         CALL ctl_stop('sol_sor: failed to release workspace array')
-      END IF
+      IF( wrk_not_released(2, 1) )   CALL ctl_stop('sol_sor: failed to release workspace array')
       !
    END SUBROUTINE sol_sor
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SOL/solver.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SOL/solver.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/SOL/solver.F90	(revision 2636)
@@ -26,5 +26,5 @@
    USE in_out_manager  ! I/O manager
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
-   USE lib_mpp
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
@@ -35,5 +35,4 @@
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/eosbn2.F90	(revision 2636)
@@ -33,6 +33,7 @@
    USE dom_oce         ! ocean space and time domain
    USE phycst          ! physical constants
+   USE zdfddm          ! vertical physics: double diffusion
    USE in_out_manager  ! I/O manager
-   USE zdfddm          ! vertical physics: double diffusion
+   USE lib_mpp         ! MPP library
    USE prtctl          ! Print control
 
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv.F90	(revision 2636)
@@ -24,6 +24,7 @@
    USE ldftra_oce      ! lateral diffusion coefficient on tracers
    USE in_out_manager  ! I/O manager
+   USE iom             ! I/O module
    USE prtctl          ! Print control
-   USE iom
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_cen2.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_cen2.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_cen2.F90	(revision 2636)
@@ -31,4 +31,5 @@
    USE restart         ! ocean restart
    USE trc_oce         ! share passive tracers/Ocean variables
+   USE lib_mpp           ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilap.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilap.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilap.F90	(revision 2636)
@@ -28,4 +28,5 @@
    USE diaptr          ! poleward transport diagnostics
    USE trc_oce         ! share passive tracers/Ocean variables
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
@@ -166,7 +167,5 @@
       END DO                                              ! tracer loop
       !                                                   ! ===========
-      IF(wrk_not_released(2, 1,2,3))THEN
-         CALL ctl_stop('tra_ldf_bilap: failed to release workspace arrays.')
-      END IF
+      IF( wrk_not_released(2, 1,2,3) )   CALL ctl_stop('tra_ldf_bilap: failed to release workspace arrays')
       !
    END SUBROUTINE tra_ldf_bilap
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilapg.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilapg.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_bilapg.F90	(revision 2636)
@@ -24,4 +24,5 @@
    USE diaptr          ! poleward transport diagnostics 
    USE trc_oce         ! share passive tracers/Ocean variables
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso_grif.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso_grif.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso_grif.F90	(revision 2636)
@@ -25,4 +25,5 @@
    USE iom             ! I/O library
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/tranpc.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/tranpc.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/tranpc.F90	(revision 2636)
@@ -18,8 +18,9 @@
    USE zdf_oce         ! ocean vertical physics
    USE trdmod_oce      ! ocean active tracer trends
-   USE trdtra      ! ocean active tracer trends
+   USE trdtra          ! ocean active tracer trends
    USE eosbn2          ! equation of state (eos routine) 
    USE lbclnk          ! lateral boundary conditions (or mpp link)
    USE in_out_manager  ! I/O manager
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 2636)
@@ -28,4 +28,5 @@
    USE fldread         ! read input fields
    USE restart         ! ocean restart
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf.F90	(revision 2636)
@@ -14,4 +14,6 @@
    USE oce             ! ocean dynamics and tracers variables
    USE dom_oce         ! ocean space and time domain variables 
+   USE domvvl          ! variable volume
+   USE phycst          ! physical constant
    USE zdf_oce         ! ocean vertical physics variables
    USE sbc_oce         ! surface boundary condition: ocean
@@ -26,8 +28,7 @@
    USE in_out_manager  ! I/O manager
    USE prtctl          ! Print control
+   USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
+   USE lib_mpp         ! MPP library
 
-   USE phycst
-   USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
-   USE domvvl          ! variable volume
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_exp.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_exp.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_exp.F90	(revision 2636)
@@ -28,6 +28,7 @@
    USE zdf_oce         ! ocean vertical physics
    USE zdfddm          ! ocean vertical physics: double diffusion
+   USE trc_oce         ! share passive tracers/Ocean variables
    USE in_out_manager  ! I/O manager
-   USE trc_oce         ! share passive tracers/Ocean variables
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
@@ -43,7 +44,6 @@
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_imp.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_imp.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf_imp.F90	(revision 2636)
@@ -33,4 +33,5 @@
    USE in_out_manager  ! I/O manager
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/zpshde.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/zpshde.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRA/zpshde.F90	(revision 2636)
@@ -20,4 +20,5 @@
    USE in_out_manager  ! I/O manager
    USE lbclnk          ! lateral boundary conditions (or mpp link)
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdmld_oce.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdmld_oce.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdmld_oce.F90	(revision 2636)
@@ -91,5 +91,4 @@
      !!                 ***  FUNCTION trdmld_oce_alloc   ***
      !!----------------------------------------------------------------------
-     USE in_out_manager, ONLY: ctl_warn
      USE lib_mpp
      INTEGER :: ierr(5)
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdmod.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdmod.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdmod.F90	(revision 2636)
@@ -24,4 +24,5 @@
    USE trdmld                  ! ocean active mixed layer tracers trends 
    USE in_out_manager          ! I/O manager
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdmod_trc.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdmod_trc.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdmod_trc.F90	(revision 2636)
@@ -4,9 +4,4 @@
    !!  Dummy module
    !!======================================================================
-   !!----------------------------------------------------------------------
-   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
    !!   Dummy module                                             NO TOP use
@@ -21,4 +16,8 @@
    END SUBROUTINE trd_mod_trc
 
+   !!----------------------------------------------------------------------
+   !! NEMO/OPA 3.3 , NEMO Consortium (2010)
+   !! $Id$
+   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
    !!======================================================================
 END MODULE trdmod_trc
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdtra.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdtra.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/TRD/trdtra.F90	(revision 2636)
@@ -17,4 +17,5 @@
    USE trdmod_trc       ! ocean passive mixed layer tracers trends 
    USE in_out_manager   ! I/O manager
+   USE lib_mpp          ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdf_oce.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdf_oce.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdf_oce.F90	(revision 2636)
@@ -9,4 +9,5 @@
    USE par_oce        ! ocean parameters
    USE in_out_manager ! I/O manager
+   USE lib_mpp        ! MPP library
 
    IMPLICIT NONE
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 2636)
@@ -21,4 +21,5 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE prtctl          ! Print control
+   USE lib_mpp            ! MPP library
 
    IMPLICIT NONE
@@ -56,4 +57,5 @@
       IF( zdf_ddm_alloc /= 0 )   CALL ctl_warn('zdf_ddm_alloc: failed to allocate arrays')
    END FUNCTION zdf_ddm_alloc
+
 
    SUBROUTINE zdf_ddm( kt )
@@ -89,13 +91,10 @@
       !! References :   Merryfield et al., JPO, 29, 1124-1142, 1999.
       !!----------------------------------------------------------------------
-      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
-      USE wrk_nemo, ONLY: zmsks  => wrk_2d_1,  &
-                          zmskf  => wrk_2d_2,  &
-                          zmskd1 => wrk_2d_3,  &
-                          zmskd2 => wrk_2d_4,  &
-                          zmskd3 => wrk_2d_5
-      IMPLICIT none
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released
+      USE wrk_nemo, ONLY:   zmsks  => wrk_2d_1 , zmskf  => wrk_2d_2 , zmskd1 => wrk_2d_3   ! 2D workspace
+      USE wrk_nemo, ONLY:   zmskd2 => wrk_2d_4 , zmskd3 => wrk_2d_5                        !  -      -
+      !
       INTEGER, INTENT(in) ::   kt   ! ocean time-step indexocean time step
-      !!
+      !
       INTEGER  ::   ji, jj , jk     ! dummy loop indices
       REAL(wp) ::   zinr, zrr       ! temporary scalars
@@ -105,5 +104,5 @@
 
       IF( wrk_in_use(2, 1,2,3,4,5) ) THEN
-         CALL ctl_stop('zdf_ddm: Requested workspace arrays already in use.')   ;   RETURN
+         CALL ctl_stop('zdf_ddm: Requested workspace arrays already in use')   ;   RETURN
       END IF
 
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 2636)
@@ -25,4 +25,5 @@
    USE restart        ! only for lrst_oce
    USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
+   USE lib_mpp        ! MPP manager
    USE prtctl         ! Print control
    USE in_out_manager ! I/O manager
@@ -106,5 +107,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
-   !! $Id $
+   !! $Id$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfkpp.F90	(revision 2636)
@@ -28,4 +28,5 @@
    USE zdfddm          ! double diffusion mixing
    USE in_out_manager  ! I/O manager
+   USE lib_mpp         ! MPP library
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE prtctl          ! Print control
@@ -167,5 +168,5 @@
          !
       IF( lk_mpp             )   CALL mpp_sum ( zdf_kpp_alloc )
-      IF( zdf_kpp_alloc /= 0 )   CALL ctl_warn('zdf_kpp_alloc: failed to allocate arrays.')
+      IF( zdf_kpp_alloc /= 0 )   CALL ctl_warn('zdf_kpp_alloc: failed to allocate arrays')
    END FUNCTION zdf_kpp_alloc
 
@@ -1236,5 +1237,5 @@
       IF( wrk_not_released(1, 1,2,3,4,5,6,7,8,9,10,11,12,13,14) .OR. &
           wrk_not_released(2, 1,2,3,4,5,6,7,8,9,10,11)          .OR. &
-          wrk_not_released_xz(1,2,3)  )   CALL ctl_stop('zdf_kpp : failed to release workspace arrays.')
+          wrk_not_released_xz(1,2,3)  )   CALL ctl_stop('zdf_kpp : failed to release workspace arrays')
       !
    END SUBROUTINE zdf_kpp
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfmxl.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfmxl.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfmxl.F90	(revision 2636)
@@ -14,5 +14,6 @@
    USE in_out_manager  ! I/O manager
    USE prtctl          ! Print control
-   USE iom
+   USE iom             ! I/O library
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
@@ -64,5 +65,5 @@
       !!----------------------------------------------------------------------
       USE wrk_nemo, ONLY: iwrk_in_use, iwrk_not_released
-      USE wrk_nemo, ONLY: imld => iwrk_2d_1    ! 2D workspace
+      USE wrk_nemo, ONLY: imld => iwrk_2d_1    ! 2D integer workspace
       !!
       INTEGER, INTENT( in ) ::   kt   ! ocean time-step index
@@ -74,6 +75,6 @@
       !!----------------------------------------------------------------------
 
-      IF( iwrk_in_use(2,1) )THEN
-         CALL ctl_stop('zdf_mxl : requested workspace array unavailable.')   ;   RETURN
+      IF( iwrk_in_use(2, 1) )THEN
+         CALL ctl_stop('zdf_mxl : requested workspace array unavailable')   ;   RETURN
       END IF
 
@@ -112,5 +113,5 @@
       IF(ln_ctl)   CALL prt_ctl( tab2d_1=REAL(nmln,wp), clinfo1=' nmln : ', tab2d_2=hmlp, clinfo2=' hmlp : ', ovlap=1 )
       !
-      IF( iwrk_not_released(2,1) )   CALL ctl_stop('zdf_mxl : failed to release workspace array')
+      IF( iwrk_not_released(2, 1) )   CALL ctl_stop('zdf_mxl : failed to release workspace array')
       !
    END SUBROUTINE zdf_mxl
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 2636)
@@ -25,4 +25,5 @@
    USE in_out_manager  ! I/O manager
    USE lbclnk          ! ocean lateral boundary condition (or mpp link)
+   USE lib_mpp         ! MPP library
 
    IMPLICIT NONE
@@ -57,5 +58,5 @@
       !
       IF( lk_mpp             )   CALL mpp_sum ( zdf_ric_alloc )
-      IF( zdf_ric_alloc /= 0 )   CALL ctl_warn('zdf_ric_alloc: failed to allocate arrays.')
+      IF( zdf_ric_alloc /= 0 )   CALL ctl_warn('zdf_ric_alloc: failed to allocate arrays')
    END FUNCTION zdf_ric_alloc
 
@@ -97,5 +98,5 @@
       !!----------------------------------------------------------------------
 
-      IF(wrk_in_use(2, 1) ) THEN
+      IF( wrk_in_use(2, 1) ) THEN
          CALL ctl_stop('zdf_ric : requested workspace array unavailable')   ;   RETURN
       END IF
@@ -150,5 +151,5 @@
       CALL lbc_lnk( avmu, 'U', 1. )   ;   CALL lbc_lnk( avmv, 'V', 1. )
       !
-      IF(wrk_not_released(2, 1) )   CALL ctl_stop('zdf_ric : failed to release workspace array')
+      IF( wrk_not_released(2, 1) )   CALL ctl_stop('zdf_ric : failed to release workspace array')
       !
    END SUBROUTINE zdf_ric
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 2636)
@@ -49,4 +49,5 @@
    USE in_out_manager ! I/O manager
    USE iom            ! I/O manager library
+   USE lib_mpp        ! MPP library
 
    IMPLICIT NONE
@@ -189,11 +190,9 @@
       !!                (= Kz dz[Ub] * dz[Un] )
       !! ---------------------------------------------------------------------
-      USE oce,   zdiag  =>   ua   ! use ua as workspace
-      USE oce,   zd_up  =>   va   ! use va as workspace
-      USE oce,   zd_lw  =>   ta   ! use ta as workspace
-      USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released, iwrk_in_use, iwrk_not_released
-      USE wrk_nemo, ONLY: imlc => iwrk_2d_1 ! 2D INTEGER workspace
-      USE wrk_nemo, ONLY: zhlc => wrk_2d_1  ! 2D REAL workspace
-      USE wrk_nemo, ONLY: zpelc => wrk_3d_1 ! 3D REAL workspace
+      USE wrk_nemo, ONLY:   wrk_in_use, wrk_not_released, iwrk_in_use, iwrk_not_released
+      USE oce     , ONLY:   zdiag => ua , zd_up => va , zd_lw => ta   ! (ua,va,ta) used  as workspace
+      USE wrk_nemo, ONLY:   imlc  => iwrk_2d_1   ! 2D INTEGER workspace
+      USE wrk_nemo, ONLY:   zhlc  =>  wrk_2d_1   ! 2D REAL workspace
+      USE wrk_nemo, ONLY:   zpelc =>  wrk_3d_1   ! 3D REAL workspace
       !!
       INTEGER  ::   ji, jj, jk                      ! dummy loop arguments
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftmx.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftmx.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/ZDF/zdftmx.F90	(revision 2636)
@@ -24,4 +24,5 @@
    USE in_out_manager  ! I/O manager
    USE iom             ! I/O Manager
+   USE lib_mpp         ! MPP library
    USE wrk_nemo, ONLY: wrk_in_use, wrk_not_released
 
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/lib_print.f90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/lib_print.f90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/lib_print.f90	(revision 2636)
@@ -10,5 +10,4 @@
    !!   prizre       : print an real 2D vertical field
    !!----------------------------------------------------------------------
-   !! * Mules used
    USE par_kind      ! kind parameters
 
@@ -16,7 +15,6 @@
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC prihin, prihre, prizre
-   !!----------------------------------------------------------------------
+   PUBLIC   prihin, prihre, prizre
+
    !!----------------------------------------------------------------------
    !! NEMO/OPA 3.3 , NEMO Consortium (2010)
@@ -40,5 +38,4 @@
       !!        !  03-07 (G. Madec)  F90, free form
       !!----------------------------------------------------------------------
-      !! * Arguments
       INTEGER, INTENT( in ) ::   &
          ki, kj,                 &  ! array dimensions
Index: branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/oce.F90
===================================================================
--- branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/oce.F90	(revision 2635)
+++ branches/dev_r2586_dynamic_mem/NEMOGCM/NEMO/OPA_SRC/oce.F90	(revision 2636)
@@ -9,5 +9,5 @@
    !!----------------------------------------------------------------------
    USE par_oce        ! ocean parameters
-   USE in_out_manager ! I/O manager
+   USE lib_mpp        ! MPP library
 
    IMPLICIT NONE
